Bug 5056 - Properly package libcdr (rename library and development packages)
: Properly package libcdr (rename library and development packages)
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-13 18:59 MSK by Andrey Bondrov
Modified: 2015-02-24 17:33 MSK (History)
1 user (show)

See Also:
RPM Package: libcdr
ISO-related:
Bad POT generating:
Upstream:
firstlevel: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2015-02-13 18:59:05 MSK
We need to properly package libcdr:

libcdr1 -> libcdr0.1_1
libcdr-devel -> libcdr0.1-devel

Both library and development package contain API (0.1) in their files, package names should contain API as well.

Please test if the update replaces installed lib[64]cdr1 and lib[64]cdr-devel without any issues.
Comment 1 Andrey Bondrov 2015-02-13 18:59:47 MSK
Advisory: "Properly name library and development packages"

https://abf.rosalinux.ru/build_lists/2424756
https://abf.rosalinux.ru/build_lists/2424757
Comment 2 FirstLevel 2015-02-16 13:16:15 MSK
32bit

before update
[root@r5-32 ~]# rpm -qa | grep libcdr
libcdr1-0.1.0-1-rosa2014.1.i586
libcdr-devel-0.1.0-1-rosa2014.1.i586
[root@r5-32 ~]# 

install libcdr-devel, plu container, update - ok
plug container, install libcdr0.1-devel - ok

after update
[root@r5-32 ~]# rpm -qa | grep libcdr
libcdr0.1_1-0.1.0-3-rosa2014.1.i586
libcdr0.1-devel-0.1.0-3-rosa2014.1.i586
[root@r5-32 ~]# 

Install packages with dependencies:
urpmi libcdr-tools - ok
urpmi writerperfect - ok
urpme libcdr0.1-devel remove only this package
-----

64bit

before update
[root@r5-64 ~]# rpm -qa | grep lib64cdr
lib64cdr1-0.1.0-1-rosa2014.1.x86_64
lib64cdr-devel-0.1.0-1-rosa2014.1.x86_64
[root@r5-64 ~]# 


install lib64cdr-devel, plu container, update - ok
plug container, install libcdr0.1-devel - ok

after update
[root@r5-64 ~]# rpm -qa | grep lib64cdr
lib64cdr0.1_1-0.1.0-3-rosa2014.1.x86_64
lib64cdr0.1-devel-0.1.0-3-rosa2014.1.x86_64
[root@r5-64 ~]# 
 
Install packages with dependencies:
urpmi libcdr-tools - ok
urpmi writerperfect - ok
urpme libcdr0.1-devel remove only this package
Comment 3 FirstLevel 2015-02-24 16:55:09 MSK
For 32 and 64 bit
libreoffice-draw launching without errors 
inkscape installation and launching without errors
Comment 4 FirstLevel 2015-02-24 17:15:35 MSK
After updating packages I have successfully openned cdr file with LO draw and inkscape
Comment 5 FirstLevel 2015-02-24 17:21:10 MSK
libcdr0.1_1-0.1.0-3
libcdr0.1-devel-0.1.0-3
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2424756/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2424757/x86_64/main/release/


************************ Advisory **********************
Properly name library and development packages
********************************************************
QA Verified